<div class="dialog-container">
  <div class="title" mat-dialog-title>
    <div>{{'Invite User'}}</div>
    <button (click)="onClose()" mat-icon-button>
      <mat-icon>close</mat-icon>
    </button>
  </div>

  <div class="content" mat-dialog-content>
    <mat-form-field appearance="outline">
      <mat-label>{{"Email" }}</mat-label>
      <input [formControl]="emailControl" autocomplete="off" matInput type="text">
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>{{"Role" }}</mat-label>
      <mat-select [formControl]="roleControl" type="text">
        <mat-option [value]="CompanyRoles.CompanyAdmin">
          Admin
        </mat-option>
        <mat-option [value]="CompanyRoles.CompanyUser">
          User
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="actions" mat-dialog-actions>
    <button (click)="onClose()" mat-raised-button>
      {{ 'Cancel' }}
    </button>
    <button (click)="onSave()" [disabled]="!isValid()" color="primary" mat-raised-button>
      {{ 'Save' }}
    </button>
  </div>
</div>
